package p03_zmienne_i_typy;

import java.util.Scanner;

public class MnozenieInt {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.print("Podaj dwie liczby całkowite: ");
        int x = scanner.nextInt();
        int y = scanner.nextInt();
        int wynik1 = x * y;
        System.out.println("wynik1 = " + wynik1);

        try {
            int wynik2 = Math.multiplyExact(x, y);
            System.out.println("wynik2 = " + wynik2);
        } catch(ArithmeticException e) {
            System.out.println(e);
        }
    }
}
